## rust-oid-registry 0.8.1

=== debian/changelog ===
rust-oid-registry (0.8.1-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Mar 2025 08:23:47 +0100

rust-oid-registry (0.8.1-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1099779

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Mar 2025 23:54:20 +0100
