=== debian/control ===
Source: rust-oid-registry
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-asn1-rs-0.7+default-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-oid-registry.git
Vcs-Browser: https://salsa.debian.org/debian/rust-oid-registry
Homepage: https://github.com/rusticata/oid-registry
Rules-Requires-Root: no

Package: librust-oid-registry-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-asn1-rs-0.7+default-dev,
 ${misc:Depends},
Provides:
 librust-oid-registry-0-dev (= ${binary:Version}),
 librust-oid-registry-0.8+crypto-dev (= ${binary:Version}),
 librust-oid-registry-0.8+default-dev (= ${binary:Version}),
 librust-oid-registry-0.8+kdf-dev (= ${binary:Version}),
 librust-oid-registry-0.8+ms-spc-dev (= ${binary:Version}),
 librust-oid-registry-0.8+nist-algs-dev (= ${binary:Version}),
 librust-oid-registry-0.8+pkcs1-dev (= ${binary:Version}),
 librust-oid-registry-0.8+pkcs12-dev (= ${binary:Version}),
 librust-oid-registry-0.8+pkcs7-dev (= ${binary:Version}),
 librust-oid-registry-0.8+pkcs9-dev (= ${binary:Version}),
 librust-oid-registry-0.8+registry-dev (= ${binary:Version}),
 librust-oid-registry-0.8+x500-dev (= ${binary:Version}),
 librust-oid-registry-0.8+x509-dev (= ${binary:Version}),
 librust-oid-registry-0.8+x962-dev (= ${binary:Version}),
 librust-oid-registry-0.8-dev (= ${binary:Version}),
 librust-oid-registry-0.8.1-dev (= ${binary:Version}),
Description: object identifier (OID) database - Rust source code
 oid-registry is a helper crate,
 containing a database of OID objects.
 These objects are intended for use
 when manipulating ASN.1 grammars and BER/DER encodings, for example.
 .
 This package contains the source for the Rust oid-registry crate,
 for use with cargo.
