=== debian/tests/control ===
# check single-feature tests only on amd64
# skip test feature crypto, apparently failing as lone feature

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
 --all-targets --all-features
Features: test-name=rust-oid-registry:@
Depends:
 dh-rust,
 librust-oid-registry-0.8-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
 --all-targets
Features: test-name=rust-oid-registry:default
Depends:
 dh-rust,
 librust-oid-registry-0.8+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
 --all-targets --no-default-features
Features: test-name=rust-oid-registry:
Depends:
 dh-rust,
 librust-oid-registry-0.8-dev,
Restrictions: allow-stderr

#Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
# --all-targets --no-default-features --features crypto
#Features: test-name=rust-oid-registry:crypto
#Depends:
# dh-rust,
# librust-oid-registry-0.8+crypto-dev,
#Restrictions: allow-stderr
#Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
 --all-targets --no-default-features --features kdf
Features: test-name=rust-oid-registry:kdf
Depends:
 dh-rust,
 librust-oid-registry-0.8+kdf-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
 --all-targets --no-default-features --features ms_spc
Features: test-name=rust-oid-registry:ms_spc
Depends:
 dh-rust,
 librust-oid-registry-0.8+ms-spc-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
 --all-targets --no-default-features --features nist_algs
Features: test-name=rust-oid-registry:nist_algs
Depends:
 dh-rust,
 librust-oid-registry-0.8+nist-algs-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
 --all-targets --no-default-features --features pkcs1
Features: test-name=rust-oid-registry:pkcs1
Depends:
 dh-rust,
 librust-oid-registry-0.8+pkcs1-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
 --all-targets --no-default-features --features pkcs12
Features: test-name=rust-oid-registry:pkcs12
Depends:
 dh-rust,
 librust-oid-registry-0.8+pkcs12-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
 --all-targets --no-default-features --features pkcs7
Features: test-name=rust-oid-registry:pkcs7
Depends:
 dh-rust,
 librust-oid-registry-0.8+pkcs7-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oid-registry 0.8.1
 --all-targets --no-default-features --features pkcs9
Features: test-name=rust-oid-registry:pkcs9
Depends:
 dh-rust,
 librust-oid-registry-0.8+pkcs9-dev,
Restrictions: allow-stderr
Architecture: amd64
